

        PASTE(1)                                                 PASTE(1)



        NAME
             paste  - merge same lines of  several  files  or  subsequent
             lines of one file

        SYNOPSIS
             paste [-s] [-dlist] files

        DESCRIPTION
             In  the  first  two  forms, paste concatenates corresponding
             lines  of  the  given input files.  It treats each file as a
             column  or  columns  of  a  table and pastes  them  together
             horizontally (parallel merging).  Paste is,  in  some sense,
             the counterpart  of  cat(1)  which  concatenates vertically,
             i.e., one file after the other.    It can also be viewed, in
             database terms, as a join of two or  databases  (text files)
             over the line number.

             In the last form above  (with the -s option), paste subsumes
             the  function  of  an  older  command with the same name  by
             combining  subsequent  lines   of  the  input  file  (serial
             merging).  In all cases, lines are glued  together  with the
             tab  character,  or   with  characters  from  an  optionally
             specified list.  Output is to the standard output, so it can
             be used as the start of a pipe.  Paste may also be used as a
             filter if - is used in place of a filename.

             The meanings of the options are:

             -d     Replace the tab character by  one  or  more alternate
                    characters  specified in list.  Without this  option,
                    the new-line characters of each but the last file (or
                    last line in case of the -s option) are replaced by a
                    tab character.

             list   One  or  more  characters  immediately  following  -d
                    replace  the  default  tab  as the line concatenation
                    character. The list is  used  circularly;  i.e., when
                    exhausted, it is reused.  In parallel  merging (i.e.,
                    no  -s  option),  the lines from the  last  file  are
                    always terminated with a new-line character, not from
                    the list.  The  list  may  contain the special escape
                    sequences:  \n (new line), \t (tab),  \\ (backslash),
                    and \0 (empty string, not a null character).

             -s     Merge  subsequent  lines rather than  one  from  each
                    input file.  Use tab for concatenation, unless a list
                    is specified with  the  -d option.  Regardless of the
                    list, the last character of  the file is forced to be
                    a new line.

             -      May be used in place of any filename, to read  a line
                    from the standard input (there is no prompting).

        EXAMPLES



                                   - 1 -                          Rev 1.0


        PASTE(1)                                                 PASTE(1)



             To list files  in  current  directory  as  a comma-separated
             list:

                    ls | paste -s -d, -

             To take each pair of lines  in  a text file and combine them
             as a tab-separated pair, one pair per line:

                    paste -s -d\t\n foo.txt

             To combine pairs of lines in two ASCII files:

                    paste -d\0 foo1.txt foo2.txt

        SEE ALSO
             CUT(1)









































                                   - 2 -                          Rev 1.0

         ----------------end-of-author's-documentation---------------

                        Software Library Information:

                   This disk copy provided as a service of

                        The Public (Software) Library

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.  The P(s)L cannot de-
         bug programs over the telephone.

         Disks in the P(s)L are updated monthly, so if you did not get
         this disk  directly from the P(s)L,  you should be aware that
         the files in this set may no  longer be the current versions.

         For a copy of the latest monthly software library newsletter
         and a list of the 1,800+ disks in the library, call or write

                        The Public (Software) Library
                              P.O.Box 35705 - F
                           Houston, TX 77235-5705
                               (713) 665-7017


         ----------------end-of-author's-documentation---------------

                        Software Library Information:

                   This disk copy provided as a service of

                        The Public (Software) Library

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.  The P(s)L cannot de-
         bug programs over the telephone.

         Disks in the P(s)L are updated monthly, so if you did not get
         this disk  directly from the P(s)L,  you should be aware that
         the files in this set may no  longer be the current versions.

         For a copy of the latest monthly software library newsletter
         and a list of the 1,800+ disks in the library, call or write

                        The Public (Software) Library
                              P.O.Box 35705 - F
                           Houston, TX 77235-5705
                               (713) 665-7017

